<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request as Req;
use Illuminate\Support\Facades\DB;
Use App\Lib\Settlement\SettlementOrder;
use App\Models;
use Request;
use App\Lib\Biz\Sport\Common as commonFunction;

/**
 *
 */
class SportswqController extends Controller {
	public $code = "wq";

	//网球结果列表
	public function outcome(Req $req) {
		$request=array();
		$request['home_team'] = isset($req->home_team) ? trim($req->home_team) : null;
		$request['status'] = isset($req->status) ? trim($req->status) : '-1';
		$request['if_order'] = isset($req->if_order) ? trim($req->if_order) : '1';
		$request['sureblurs'] = isset($req->sureblurs) ? $req->sureblurs : 'on';
		$request['name_chinese'] = isset($req->name_chinese) ? $req->name_chinese : null;
		$request['star_time'] = isset($req->star_time) ? trim($req->star_time) :trans('status.default_time.seven_day') ;
        $request['end_time'] = isset($req->end_time) ? trim($req->end_time) : trans('status.default_time.etime');
        $newapp = new \App\Models\SoccerLeague();
		$data = $newapp->allleague();
        $request['league'] = $data;//联赛id

        $dt = \App\Lib\DataTable\DataTable::init();
        $dt->setDataSource('/admin/Sportswq/outcomeinfo');
        $dt->setLang('sportswq');
        $dt->addColsFields('newtime', array('templet' => '#newtime', 'sort' => false, 'width' => 200));
        $dt->addColsFields('start_time', array('templet' => '#home_team', 'sort' => false, 'width' => 155));
        $dt->addColsFields('home_player_name', array('templet' => '#home_team', 'sort' => false, 'width' => 130));
        $dt->addColsFields('guest_player_name', array('templet' => '#guest_team', 'sort' => false, 'width' => 130));
        $dt->addColsFields('dsnum', array('templet' => '#dsnum', 'sort' => false, 'width' => 100));
		// $dt->addColsFields('csnum', array('templet' => '#home_rate', 'sort' => false, 'width' => 80));
		$dt->addColsFields('csnum', array('templet' => '#csnum', 'sort' => false, 'width' => 100));
        $dt->addColsFields('match_score', array('templet' => '#matchscore', 'sort' => false, 'width' => 160));
        $dt->addColsFields('statusmatch', array('templet' => '#statusmatch', 'sort' => false, 'width' => 80));
        $dt->addColsFields('operation', array('templet' => '#operation', 'sort' => false, 'width' => 300));
        $dt->enableCheckBox();
        return view('admin.Sportswq/outcome', $dt->render($request));
	}

	function outcomeinfo(){
		$page = Request::has('page') ? Request::get('page') : '';
		$list = Request::has('limit') ? Request::get('limit') : 10;
		$home_team = Request::has('home_team') ? Request::get('home_team') : '';
		$sureblur = Request::has('sureblurs') ? Request::get('sureblurs') : 'off';
		$status = Request::has('status') ? Request::get('status') : '';
		$if_order = Request::has('if_order') ? Request::get('if_order') : '';
        $star_time = Request::get('star_time') ? Request::get('star_time').' 00:00:00' : '';
        $end_time = Request::get('end_time') ? Request::get('end_time').' 23:59:59' : '';
        $name_chinese = Request::has('name_chinese') ? Request::get('name_chinese') : '';

		$where = array();
		$orwhere = array();
		if (!empty($home_team)) {
			if (empty($sureblur) || $sureblur == 'off') {
				$where[] = array('st_wq_result.home_player_name', 'like', '%' . $home_team . '%');
				$orwhere[] = array('st_wq_result.guest_player_name', 'like', '%' . $home_team . '%');
			} else {
				if(is_numeric($home_team)){
					$where[] = array('st_wq_result.match_id', '=', $home_team);
                    $orwhere[] = array('st_wq_result.match_id', '=', $home_team);
				}else{
					$where[] = array('st_wq_result.home_player_name', '=', $home_team);
					$orwhere[] = array('st_wq_result.guest_player_name', '=', $home_team);
				}
			}
		}

        if (!empty($star_time) and empty($home_team)) {
            $star_time = date('Y-m-d H:i:s', strtotime($star_time));
            $where[] = array('st_wq_result.start_time', '>', $star_time);
            $orwhere[] = array('st_wq_result.start_time', '>', $star_time);
        }
        if (!empty($end_time) and empty($home_team)) {
            $end_time = date('Y-m-d H:i:s', strtotime($end_time));
            $where[] = array('st_wq_result.start_time', '<', $end_time);
            $orwhere[] = array('st_wq_result.start_time', '<', $end_time);
        }

		if ($status != -1) {
			$where[] = array('st_wq_competition.status', '=', $status);
			$orwhere[] = array('st_wq_competition.status', '=', $status);
		}
		if (!empty($name_chinese)) {
			$where[] = array('st_wq_result.name_chinese', '=', $name_chinese);
			$orwhere[] = array('st_wq_result.name_chinese', '=', $name_chinese);
		}

        $newapp = new \App\Models\Stwqresult();
        $data = $newapp->resultlist($list, $page, $where, $orwhere,$if_order);

        return \App\Lib\DataTable\DataTable::init()->toJson($data['data'], $data['total']);
	}

	//作废
	function revoke(Req $req){
		$match_id = $req->match_id;//赛事id
		$model = \App\Models\Stwqresult::where('match_id', $match_id)->first();
		$model->status = 4;
		$model->save();

		$smodel = \App\Models\SportsTennis::where('id', $match_id)->first();
		if($smodel){
			$smodel->status = 4;
			$smodel->save();
		}

		//赛事下单式注单作废，串关注单下此赛事按平局处理
		$upapp = new \App\Models\SportsNoteList();
		$upapp->delorder($match_id,'wq');

//		$upapp = new \App\Models\SportsNoteList();
//        $data = $upapp->updatesimplex($match_id,'wq');//修改单式状态
//
//        //单式撤单返现
//        $newapp = new \App\Models\MoneyBuyMatch();
//		$all = $newapp->allsimplexorder($match_id,'wq');
//        for ($i=0; $i < count($all); $i++) {
//	        $appgx = new \App\Lib\Settlement\SettlementOrder();
//	        $appgx->insertData($all[$i]['order_id'], $all[$i]['money'], $all[$i]['account_identity'], '1', 'wq', $all[$i]['info_identity'], $all[$i]['money'],$all[$i]['match_id']);
//        }
//
//        //串式撤单只改状态
//        $str_ids = array_column($newapp->allstrorder($match_id),'order_id');
//        $csapp = new \App\Models\MoneyBuyStr();
//        $csapp->updatestatus($str_ids);//var_dump($ss);die;
//        //修改money_buy_match 投注结果result=2为平
//        $newapp->updatast($match_id);
        
		return responseToJson(1);
	}

	//结算
	function Settlement1(Req $req){
		$match_id = $req->match_id;
		$match = \App\Models\SportsTennis::where ('id', $match_id)->first();
		$type = $req->type;
		$process = $req->process;
		if(empty($process)){
			$process = array();
		}

		//赛事比分数据
		$res = \App\Models\Stwqresult::where('match_id', $match_id)->first();
		$scores = json_decode($res['manual_result'],true);

		//结算验证
		if(in_array('one',$process)){
			if(strlen($scores['1']['home'])==0 || strlen($scores['1']['guest'])==0){
				return json_encode(['status'=>6,'msg'=>'没有第一盘结果,无法结算第一盘']);
			}
		}
		if(in_array('two',$process)){
			if(strlen($scores['2']['home'])==0 || strlen($scores['2']['guest'])==0){
				return json_encode(['status'=>7,'msg'=>'没有第二盘结果,无法结算第二盘']);
			}
		}
		if(in_array('three',$process)){
			if(strlen($scores['3']['home'])==0 || strlen($scores['3']['guest'])==0){
				return json_encode(['status'=>8,'msg'=>'没有第三盘结果,无法结算第三盘']);
			}
		}
		if(in_array('four',$process)){
			if(strlen($scores['4']['home'])==0 || strlen($scores['4']['guest'])==0){
				return json_encode(['status'=>9,'msg'=>'没有第四盘结果,无法结算第四盘']);
			}
		}
		if(in_array('five',$process)){
			if(strlen($scores['5']['home'])==0 || strlen($scores['5']['guest'])==0){
				return json_encode(['status'=>10,'msg'=>'没有第五盘结果,无法结算第五盘']);
			}
		}
		if(in_array('all',$process)){
			if(strlen($scores['all']['home'])==0 || strlen($scores['all']['guest'])==0){
				return json_encode(['status'=>11,'msg'=>'没有全场结果,无法结算全场']);
			}
		}

		$token = session('adminInfo.token');
		$notice = \App\Models\Comendnotice::where('match_id', $match_id)->first();

		if(!$notice){
			return json_encode(['status'=>5,'msg'=>'请先核对结果,并提交结果']);
		}
		$noticeid = $notice['id'];
		//查询赛事单式是否有订单(网球)
		$newapp = new \App\Models\MoneyBuyMatch();
		$simplex = $newapp->simsettleorder($match_id,$type);
		$str = $newapp->strsettleorder($match_id);

		//获取赛事结算进程下的注单
		$simplex = commonFunction::getOrderData($data = [],$simplex,$type,$process);
		//$str = commonFunction::getOrderData($data = [],$str,$type,$process);

		//获取注单id组成一维数组
		$simplex_ids = array_column($simplex['settle'],'order_id');
		$str_ids = array();
		foreach($str as $key){
			$str_ids[]= $key['order_id'];
		}

		//去重
		$simplex_ids = array_unique($simplex_ids);
		$str_ids = array_unique($str_ids);
//		print_r($simplex_ids);exit;

		//判断赛事下注单输赢
		$datas = array('noticeid' => $noticeid , 'token' => $token);
		$settlementAuto = new \App\Lib\Settlement\SettlementAuto();
		$winfail = $settlementAuto->SubmitSettelement('w',$datas);
		if($winfail == false){
			return json_encode(['status'=>2,'msg'=>'判断输赢错误,请联系管理员!!!']);//输赢错误
		}

		$change_status = 1;
		if($match['status'] == 0 || $match['status'] == 1){
			$change_status = 0;
		}
		$sim = array(
			'token'=>$token,
			'order_ids'=>'', //订单id字符串，用半角都好分隔
			'bettype'=>1, //结算类型  1单式  2串式
			'settype'=>2, //结算次数  1首次  2非首次
			'game_code'=>$type, //赛事类型  zq lq wq bq
			'match_id'=>$match_id,  // 赛事ID
			'change_status'=>$change_status  //是否改状态
		);
		$str = array(
			'token'=>$token,
			'order_ids'=>'', //订单id字符串，用半角都好分隔
			'bettype'=>2, //结算类型  1单式  2串式
			'settype'=>2, //结算次数  1首次  2非首次
			'game_code'=>$type, //赛事类型  zq lq wq bq
			'match_id'=>$match_id,  // 赛事ID
			'change_status'=>$change_status  //是否改状态
		);
		if(count($simplex_ids)>0 || count($str_ids)>0){
			//单式结算
			if(count($simplex_ids)>0 && count($str_ids)==0){
				$sim['order_ids'] = implode(',',$simplex_ids);
				$settlesim = $settlementAuto->SubmitSettelement('s',$sim);
				if($settlesim == false){
					return json_encode(['status'=>3,'msg'=>'单式注单结算有误,请联系管理员!!!']);
				}else{
					return json_encode(['status'=>1,'msg'=>'单式结算成功,没有串式订单']);
				}
			}
			//串式结算
			elseif(count($str_ids)>0 && count($simplex_ids)==0){
				$str['order_ids'] = implode(',',$str_ids);
				$settlestr = $settlementAuto->SubmitSettelement('s',$str);
				if($settlestr == false){
					return json_encode(['status'=>3,'msg'=>'串式注单结算有误,请联系管理员!!!']);
				}else{
					return json_encode(['status'=>1,'msg'=>'串式结算成功,没有单式订单']);
				}
			}
			//既有单式也有串式
			elseif(count($str_ids)>0 && count($simplex_ids)>0){
				$sim['order_ids'] = implode(',',$simplex_ids);
				$str['order_ids'] = implode(',',$str_ids);
				$settlesim = $settlementAuto->SubmitSettelement('s',$sim);
				$settlestr = $settlementAuto->SubmitSettelement('s',$str);
				if($settlesim == true || $settlestr == true){
					return json_encode(['status'=>1,'msg'=>'结算成功']);
				}else{
					return json_encode(['status'=>3,'msg'=>'结算有误,请联系管理员!!!']);
				}
			}
		}else{
			$log = array(
				session('adminInfo.admin_name'),
			);
			OperationLog(session('adminInfo.admin_id'), '网球结算', $log);
			if($match['status'] == 0 || $match['status'] == 1){
				return json_encode(['status'=>4,'msg'=>'该赛事进程下没有任何订单']);
			}
			$res = \App\Models\Stwqresult::where ('match_id', $match_id)->update(['status' =>3]);
			$res = \App\Models\SportsTennis::where ('id', $match_id)->update(['status' =>3]);
			return json_encode(['status'=>4,'msg'=>'该赛事没有任何订单,将会结束该赛事!!!']);
		}

	}
	//结算
	function Settlement(Req $req){
		$jsurl = config('sconstant.url');//结算请求域名地址
		$match_id = $req->match_id;
		$type = $req->type;
		$token = session('adminInfo.token');
		$notice = \App\Models\Comendnotice::where('match_id', $match_id)->first();
		$noticeid = $notice['id'];
		if(!$notice){
			return json_encode(['status'=>5,'msg'=>'请先核对结果,并提交结果']);
		}
		//查询赛事单式是否有订单(网球)
		$newapp = new \App\Models\MoneyBuyMatch();
		$simplex_ids = array_column($newapp->simsettleorder($match_id,'wq'),'order_id');
		$str_ids = array_column($newapp->strsettleorder($match_id),'order_id');

		//去重
		$simplex_ids = array_unique($simplex_ids);
		$str_ids = array_unique($str_ids);

		//判断赛事下注单输赢
		$datas = array('noticeid' => $noticeid , 'token' => $token);
		$settlementAuto = new \App\Lib\Settlement\SettlementAuto();
		$winfail = $settlementAuto->SubmitSettelement('w',$datas);
		if($winfail == false){
			return json_encode(['status'=>2,'msg'=>'判断输赢错误,请联系管理员!!!']);//输赢错误
		}
		$sim = array(
			'token'=>$token,
			'order_ids'=>'', //订单id字符串，用半角都好分隔
			'bettype'=>1, //结算类型  1单式  2串式
			'settype'=>2, //结算次数  1首次  2非首冷饮
			'game_code'=>$type, //赛事类型  zq lq wq bq
			'match_id'=>$match_id,  // 赛事ID
			'change_status'=>1  //是否改状态
		);
		$str = array(
			'token'=>$token,
			'order_ids'=>'', //订单id字符串，用半角都好分隔
			'bettype'=>2, //结算类型  1单式  2串式
			'settype'=>2, //结算次数  1首次  2非首冷饮
			'game_code'=>$type, //赛事类型  zq lq wq bq
			'match_id'=>$match_id,  // 赛事ID
			'change_status'=>1  //是否改状态
		);
		if(count($simplex_ids)>0 || count($str_ids)>0){
			//单式结算
			if(count($simplex_ids)>0 && count($str_ids)==0){
				$sim['order_ids'] = implode(',',$simplex_ids);
				$settlesim = $settlementAuto->SubmitSettelement('s',$sim);
				if($settlesim == false){
					return json_encode(['status'=>3,'msg'=>'单式注单结算有误,请联系管理员!!!']);
				}else{
					return json_encode(['status'=>1,'msg'=>'单式结算成功,没有串式订单']);
				}
			}
			elseif(count($str_ids)>0 && count($simplex_ids)==0){
				$str['order_ids'] = implode(',',$str_ids);
				$settlestr = $settlementAuto->SubmitSettelement('s',$str);
				if($settlestr == false){
					return json_encode(['status'=>3,'msg'=>'串式注单结算有误,请联系管理员!!!']);
				}else{
					return json_encode(['status'=>1,'msg'=>'串式结算成功,没有单式订单']);
				}
			}
			elseif(count($str_ids)>0 && count($simplex_ids)>0){
				$sim['order_ids'] = implode(',',$simplex_ids);
				$str['order_ids'] = implode(',',$str_ids);
				$settlesim = $settlementAuto->SubmitSettelement('s',$sim);
				$settlestr = $settlementAuto->SubmitSettelement('s',$str);
				if($settlesim == true || $settlestr == true){
					return json_encode(['status'=>1,'msg'=>'结算成功']);
				}else{
					return json_encode(['status'=>3,'msg'=>'结算有误,请联系管理员!!!']);
				}
			}
		}else{
			$log = array(
				session('adminInfo.admin_name'),
			);
			OperationLog(session('adminInfo.admin_id'), '网球结算', $log);
			$res = \App\Models\Stwqresult::where ('match_id', $match_id)->update(['status' =>3]);
			$res = \App\Models\SportsTennis::where ('id', $match_id)->update(['status' =>3]);
			return json_encode(['status'=>4,'msg'=>'该赛事没有任何订单,将会结束该赛事!!!']);
		}
	}

	//查询赛事结果 
	function Matchresult(Req $req){
		$match_id = $req->match_id;//14
		$newapp = \App\Models\Stwqresult::where('match_id', $match_id)->first();

		$array =array(
			'wqresult' => json_decode($newapp['manual_result'],true),
			'newapp' => $newapp,
		);
		return $array;
	}

    //查询赛事结果
    function resultLog(Req $req){
        $match_id = $req->match_id;
        $list = \App\Models\Stwqresultlog::leftJoin('system_user', 'user_id', '=', 'system_user.id')
            ->select('st_wq_result_log.*', 'system_user.loginname')->where('match_id', $match_id)->orderBy('id', 'asc')->get();
        foreach ($list as $key=>$value){
            $list[$key]['inning'] = json_decode($value['inning'], true);
        }
        $result =array(
            'status' => 200,
            'list' => $list
        );
        echo json_encode($result);die;
    }

	function onlyresult(Req $req){
		$match_id = $req->matchid;
		$newapp = \App\Models\Stwqresult::where('match_id', $match_id)->first();
		return $newapp;
	}

	//结果添加
	function addend(Req $req){
		$match_id = $req->matchid;
		$model = \App\Models\Stwqresult::where('match_id', $match_id)->first();
		$match = \App\Models\SportsTennis::where('id', $match_id)->first();
		$match_status = $match['status'];

		$data = array(
			"1" => array(
				'home' => strlen($req->homeo)?$req->homeo:'',
				'guest' => strlen($req->guesto)?$req->guesto:'',
			),
			"2" => array(
				'home' => strlen($req->homet)?$req->homet:'',
				'guest' => strlen($req->guestt)?$req->guestt:'',
			),
			"3" => array(
				'home' => strlen($req->homes)?$req->homes:'',
				'guest' => strlen($req->guests)?$req->guests:'',
			),
			"4" => array(
				'home' => strlen($req->homef)?$req->homef:'',
				'guest' => strlen($req->guestf)?$req->guestf:'',
			),
			"5" => array(
				'home' => strlen($req->homee)?$req->homee:'',
				'guest' => strlen($req->gueste)?$req->gueste:''
			),
			"all" => array(
				'home' => strlen($req->homen)?$req->homen:'',
				'guest' => strlen($req->guestn)?$req->guestn:'',
			),
		);

		//修改网球比分前的比分数据
		$res = \App\Models\Stwqresult::where('match_id', $match_id)->first();
		$scores = json_decode($res['manual_result'],true);
		$process = array();//进程
		if($scores[1]['home'] != $data[1]['home'] || $scores[1]['guest'] != $data[1]['guest']){
			$process[] = 'one';
		}
		if($scores[2]['home'] != $data[2]['home'] || $scores[2]['guest'] != $data[2]['guest']){
			$process[] = 'two';
		}
		if($scores[3]['home'] != $data[3]['home'] || $scores[3]['guest'] != $data[3]['guest']){
			$process[] = 'three';
		}
		if($scores[4]['home'] != $data[4]['home'] || $scores[4]['guest'] != $data[4]['guest']){
			$process[] = 'four';
		}
		if($scores[5]['home'] != $data[5]['home'] || $scores[5]['guest'] != $data[5]['guest']){
			$process[] = 'five';
		}
		if($scores['all']['home'] != $data['all']['home'] || $scores['all']['guest'] != $data['all']['guest']){
			$process[] = 'all';
		}
		if(!empty($process)){
			//赛事下注单作废 处理
			commonFunction::HandleInvalid($data,$match_id,$match_status,'wq',$process);

			$updatainfo = [
				"inning"=>json_encode($data),
				"manual_result"=>json_encode($data),
				'is_correct'=>1
			];

			\App\Models\Stwqresult::where('match_id', $match_id)->update($updatainfo);

			$addnew = new \App\Models\Comendnotice();
			$addnew->addcomendnotice($match_id,'wq');

			//赛事下所有注单状态都改变时，修改赛事，赛事结果状态
			if(count($process) == count($data)){
				$twoapp = new \App\Models\SportsTennis();
				$twoapp->updatestatus('id',$match_id,['status'=>2,'utime'=>date('Y-m-d H:i:s')]);//修改赛事状态
				$newapp = new \App\Models\Stwqresult();
				$newapp->updatestatus('match_id',$match_id,['status'=>2,'update_time'=>date('Y-m-d H:i:s')]);//修改结果状态
			}

			//添加赛事结果记录
			$lastLog = \App\Models\Stwqresultlog::where([
				['match_id', $match_id],
				['type', 1]
			])->orderBy('id', 'asc')->first();
			if(empty($lastLog) || $lastLog['inning'] != json_encode($data)){
				\App\Models\Stwqresultlog::insert([
					'match_id' => $match_id,
					'inning' => json_encode($data),
					'user_id' => session('adminInfo.admin_id'),
					'type' => 1,
					'create_at' => now()
				]);
			}
		}
        return responseToJson(1);
	}

	//修改添加赛事比分
	function updatascore(Req $req){
		$match_id = $req->match_id;//节数唯一标识

		//赛事状态
		$match_status = intval($req->match_status)?intval($req->match_status):0;
		$model = \App\Models\Stwqresult::where('match_id', $match_id)->first();
		$model->update_time = date('Y-m-d H:i:s');
		$model->home_player_score = intval($req->home_player_score)?intval($req->home_player_score):0;//主队比分
		$model->guest_player_score = intval($req->guest_player_score)?intval($req->guest_player_score):0;//客队比分
		$model->is_correct = 1;//追加手动更改标识
		$model->save();

		//更新比分 默认 status
		$status = 2;
		//追加判断比分 如果都== -1，则作废该赛事
		if($req->home_player_score < 0 and $req->guest_player_score < 0 ){
			//已结算作废赛事处理
			if($match_status == 3){
				$url = 'http://stadmin.bocai108.com:9094/UnSettelement';
				$data_up = [
					'token'=>session('adminInfo.token'),
					'game_code'=>'zq',
					'match_id'=>$match_id,
				];
				$ret_json = commonFunction::https_request($url,$data_up);
				// $ret_json = '{"status":1,"msg":"撤销成功!2019-10-26 16:28:30 取消赛事处理--结束end：game_code= zq  match_id= 40986 \n","data":[]}';

				$ret_arr = json_decode($ret_json,true);
				if($ret_arr['status'] != 1){
					return responseToJson(-20003);
				}
			}
			//赛事下单式注单作废，串关注单下此赛事按平局处理
			$upapp = new \App\Models\SportsNoteList();
			$upapp->delorder($match_id,'wq');
			$status = 4;
		}

		$addnew = new \App\Models\Comendnotice();
		$addnew->addcomendnotice($match_id,'wq');

		$twoapp = new \App\Models\SportsBasket();
		$twoapp->updatestatus('match_id',$match_id,['status'=>$status,'utime'=>date('Y-m-d H:i:s')]);//修改赛事状态
		$newapp = new \App\Models\Stwqresult();
		$newapp->updatestatus('match_id',$match_id,['status'=>$status,'update_time'=>date('Y-m-d H:i:s')]);//修改结果状态

        //添加赛事结果比较记录
        $lastLog = \App\Models\Stwqresultlog::where([
            ['match_id', $match_id],
            ['type', 2]
        ])->orderBy('id', 'desc')->first();

        if(empty($lastLog) || !(
                $lastLog['home_player_score'] == $model->home_player_score
                && $lastLog['guest_player_score'] == $model->guest_player_score
            )){
            $logData = [
                'home_player_score' => $model->home_player_score,
                'guest_player_score' => $model->guest_player_score
            ];
            $logData['type'] = 2;
            $logData['match_id'] = $match_id;
            $logData['user_id'] = session('adminInfo.admin_id');
            $logData['create_at'] = now();
            \App\Models\Stwqresultlog::insert($logData);
        }
		return responseToJson(1); 
	}

	//获取赛事进程数据
	function getprocess(Req $req){
		$type = $req->type;

		$process = commonFunction::getprocess($type);
		return json_encode($process);
	}



}